SKILL(1)

NAMN
skill, snice — skicka en signal eller rapportera processtatus

SYNOPSIS
skill [signal] [flaggor] uttryck
snice [ny prioritet] [flaggor] uttryck

BESKRIVNING
Dessa verktyg är föråldrade och oportabla. Kommandosyntaxen är dåligt definierad. Överväg att använda kommandona killall, pkill och pgrep istället.

Standardsignalen för skill är TERM. Använd -l eller -L för att lista tillgängliga signaler. Särskilt användbara signaler inkluderar HUP, INT, KILL, STOP, CONT och 0. Alternativa signaler kan anges på tre sätt: -9 -SIGKILL -KILL.

Standardprioriteten för snice är +4. Prioritetstal går från +20 (långsammast) till -20 (snabbast). Negativa prioritetsvärden är begränsade till administrativa användare.

FLAGGOR

-f, --fast
    Snabbt läge. Denna flagga har inte implementerats.

-i, --interactive
    Interaktiv användning. Du kommer få en fråga om att godkänna varje åtgärd.

-l, --list
    Lista alla signalnamn.

-L, --table
    Lista alla signalnamn i en trevlig tabell.

-n, --no-action
    Ingen åtgärd; utför en simulering av de händelser som skulle ske men gör ingen faktisk ändring av systemet.

-v, --verbose
    Utförlig; förklara vad som görs.

-w, --warnings
    Aktivera varningar. Denna flagga har inte implementerats.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa versionsinformation.

FLAGGOR FÖR VAL AV PROCESS
Urvalskriterier kan vara: terminal, användare, pid, kommando. Flaggorna nedan kan användas för att säkerställa rätt tolkning.

-t, --tty tty
    Nästa uttryck är en terminal (tty eller pty).

-u, --user användare
    Nästa uttryck är ett användarnamn.

-p, --pid pid
    Nästa uttryck är ett process-ID-nummer.

-c, --command kommando
    Nästa uttryck är ett kommandonamn.

--ns pid
    Matcha processerna som tillhör samma namnrymd som pid.

--nslist nr,…
    lista vilka namnrymder som skall beaktas av flaggan --ns. Tillgängliga namnrymder: ipc, mnt, net, pid, user, uts.

SIGNALER
Beteendet hos signaler förklaras i manualsidan signal(7).

EXEMPEL

snice -c seti -c crack +7
    +Sakta ner kommandona seti och crack.

skill -KILL -t /dev/pts/*
    Döda användare på PTY-enheter.

skill -STOP -u viro -u lm -u davem
    Stoppa tre användare.

SE ÄVEN
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDER
Inga standarder är tillämpliga.

UPPHOVSMAN
Albert Cahalan (albert@users.sf.net) skrev skill och snice 1999 som en ersättning för en ofri version.

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se